Skip to content
Start here

List DLS regions for an account

client.dls.regions.list(RegionListParams { account_id, cursor, per_page, type } params, RequestOptionsoptions?): CursorPagination<RegionListResponse { id, created_on, modified_on, 4 more } >
GET/accounts/{account_id}/dls/regions

List DLS regions for an account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: RegionListParams { account_id, cursor, per_page, type }
account_id: number

Path param

formatint64
cursor?: string

Query param: Opaque token for cursor-based pagination. Omit for the first page. Pass the value from a previous response to fetch the next page.

per_page?: number

Query param

maximum100
minimum1
type?: "managed" | "custom"

Query param: Filter regions by type. Omit to return all regions.

One of the following:
"managed"
"custom"
ReturnsExpand Collapse
RegionListResponse { id, created_on, modified_on, 4 more }
id: string
created_on: string
formatdate-time
modified_on: string
formatdate-time
name: string
region_key: string
maxLength128
minLength1
version: number
version_created_on: string
formatdate-time

List DLS regions for an account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const regionListResponse of client.dls.regions.list({ account_id: 0 })) {
  console.log(regionListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}